$packageName    = 'kubernetes-cli'
$url            = 'https://dl.k8s.io/v1.6.8/kubernetes-client-windows-386.tar.gz'
$url64          = 'https://dl.k8s.io/v1.6.8/kubernetes-client-windows-amd64.tar.gz'
$checksum       = '22a0a80fa5ed5f0745371cc9fd68eeeb0671242cf7c476fb4e635ccd9ef8c2b1'
$checksum64     = 'ce42d7e826aa07bd98a424332926b04e75effbe926b098565781de3c3b6d244c'
$checksumType   = 'sha256'
$checksumType64 = 'sha256'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$tempDir    = "$toolsDir\temp"


# Download and unzip into a temp folder
Install-ChocolateyZipPackage -PackageName "$packageName" -UnzipLocation "$tempDir" -Url "$url" -Url64 "$url64" -Checksum "$checksum" -ChecksumType "$checksumType" -Checksum64 "$checksum64" -ChecksumType64 "$checksumType64"

# Untar into tools folder
Get-ChocolateyUnzip -PackageName "$packageName" -FileFullPath "$tempDir" -Destination "$toolsDir"

# Remove temp folder
Remove-Item "$tempDir\*" -recurse
Remove-Item "$tempDir"
